
Redmine - Defect #9252

Regression: application title escaped 2 times

2011-09-15 11:34 - Etienne Massip

Status: Closed Start date: 2011-09-15

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version: 1.1.0

Description

Since of r6350, ApplicationHelper#html_title returns an HTML escaped string, but the base layout escape it again.

As a result, if you are watching issue which Subject field value is something like:

"error.log" is empty

 You'll get this string in your browser title bar:

Redmine - Issues #1234: &quot;error.log&quot; is empty

Related issues:

Related to Redmine - Feature #4796: Rails 3 support Closed 2010-02-10

Associated revisions

Revision 7246 - 2011-09-16 03:50 - Toshi MARUYAMA

backed out r6350 (#9252, #4796)

HTML escape at app/helpers/application_helper.rb

Revision 7247 - 2011-09-16 03:51 - Toshi MARUYAMA

HTML escape at link_to_revision() of app/helpers/application_helper.rb (#9252)

Revision 7248 - 2011-09-16 03:51 - Toshi MARUYAMA

HTML escape at parse_wiki_links() of app/helpers/application_helper.rb (#9252)

Revision 7249 - 2011-09-16 03:52 - Toshi MARUYAMA

HTML escape at parse_redmine_links() of app/helpers/application_helper.rb (#9252)

Revision 7250 - 2011-09-16 03:53 - Toshi MARUYAMA

HTML escape at context_menu_link() of app/helpers/application_helper.rb (#9252)

Revision 7565 - 2011-10-02 20:45 - Etienne Massip

Remove unecessary page title HTML escaping from views (#9252).

History

#1 - 2011-09-15 11:34 - Etienne Massip

- Target version changed from Candidate for next minor release to Candidate for next major release

#2 - 2011-09-15 13:26 - Etienne Massip

- Target version changed from Candidate for next major release to 1.3.0

#3 - 2011-09-16 02:44 - Toshi MARUYAMA

I confirmed.

For example:

https://www.chiliproject.org/issues/566
https://www.redmine.org/projects/redmine/repository/svn/revisions/6350
https://www.chiliproject.org/issues/566


#4 - 2011-09-23 11:00 - Etienne Massip

- Affected version (unused) changed from devel to 1.1.0

- Affected version set to 1.1.0

This issue is already present in Redmine 1.1.x when viewing forum message, see RE: "Object is not missing constant Issue!" on CentOS 5.5.

#5 - 2011-11-09 09:04 - Etienne Massip

- Status changed from New to Resolved

- Resolution set to Fixed

#6 - 2011-11-13 10:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/boards/2/topics/17841?r=26310#message-26310
http://www.tcpdf.org

